function EFFECT:Init(data)
	self.Start = data:GetOrigin()
	self.Emitter = ParticleEmitter(self.Start)
	for i = 1, 35 do
		local w = self.Emitter:Add("effects/fleck_cement"..math.random(1,2), self.Start + Vector(math.Rand(-1,1), math.Rand(-1,1), math.Rand(0,1)))
		if w then
			w:SetVelocity(Vector(math.Rand(-80,80), math.Rand(-80,80), math.Rand(0,130)))
			w:SetDieTime(1)
			w:SetStartAlpha(255)
			w:SetEndAlpha(0)
			w:SetStartSize(1)
			w:SetEndSize(0)
			w:SetRoll(math.Rand(0,360))
			w:SetRollDelta(math.Rand(-5,5))
			w:SetAirResistance(70)
			w:SetColor(90,85,75)
			w:SetGravity(Vector(0,0,-600))
			w:SetCollide(true)
			w:SetBounce(0.6)
		end
	end
	for i = 1, 3 do
		local c = self.Emitter:Add("particle/particle_composite", self.Start)
		if c then
			c:SetDieTime(2)
			c:SetStartAlpha(100)
			c:SetEndAlpha(0)
			c:SetStartSize(5)
			c:SetEndSize(15)
			c:SetRoll(math.Rand(150, 360))
			c:SetRollDelta(math.Rand(-1,1))
			c:SetAirResistance(150)
			c:SetVelocity(Vector(math.random(-15,15), math.random(-15,15), math.random(0,50)))
			c:SetGravity(Vector(0, 0, -50))
			c:SetColor(90,85,75)
		end
	end
	for i = 1, 2 do
		local p = self.Emitter:Add("particle/smokesprites_000"..math.random(1, 9), self.Start + Vector(math.Rand(-2,2), math.Rand(-2,2), math.Rand(0,1)))
		p:SetDieTime(2)
		p:SetStartAlpha(math.Rand(100,155))
		p:SetEndAlpha(0)
		p:SetStartSize(math.random(5, 10))
		p:SetEndSize(math.Rand(20,30))
		p:SetRoll(math.Rand(-0.25, 0.25))
		p:SetRollDelta(math.Rand(-0.1,0.1))
		p:SetGravity(Vector(0,0,-15))
		p:SetVelocity(Vector(math.Rand(-5,5), math.Rand(-5,5), math.Rand(3,7)))
		p:SetColor(142,107,72)
	end
	self.Emitter:Finish()
end

function EFFECT:Think()
	return false
end

function EFFECT:Render()
end